Draft Drawing/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand|Name=Draft_Drawing|Workbenches=Kreslení, Architektura|MenuLocation=Drafting -> Drawing}}")
(Updating to match new version of source page)
(26 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Draft_Drawing|Workbenches=[[Draft Module|Kreslení]], [[Arch Module|Architektura]]|MenuLocation=Drafting -> Drawing}}
{{Docnav
|[[Draft_Clone|Clone]]
|[[Draft_Mirror|Mirror]]
|[[Draft_Module|Draft]]
|IconL=Draft_Clone.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Mirror.svg
}}


==Description==


{{VeryImportantMessage|Development of the [[Drawing Workbench|Drawing Workbench]] stopped in FreeCAD 0.16; the new [[TechDraw Workbench|TechDraw Workbench]] aiming to replace it was introduced in v0.17. Both workbenches are still provided in v0.17, but the Drawing Workbench may be removed in future releases.}}
Tento nástrpj umožňuje umístit vybrané objekty na svg [[Drawing Module|Výkresy]]. Jestliže v dokumentu není žádná [[Drawing_templates|šablona]], bude vytvořena defaultní.

<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Draft_Drawing|Name/cs=Draft Drawing|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Drafting → Drawing}}
</div>

==Popis==

<div class="mw-translate-fuzzy">
Tento nástroj umožňuje umístit vybrané objekty na svg [[Drawing Module/cs|Výkresy]]. Jestliže v dokumentu není žádná [[Drawing_templates/cs|šablona]], bude použita defaultní.
</div>

This tool works similarly to the [[Drawing View|Drawing View]] tool but is optimized for [[Draft Workbench|Draft Workbench]] objects, and can render 2D objects with a face filling. It can handle specific objects such as [[Draft Dimension|Draft Dimension]] and [[Draft Text|Draft Text]], that the [[Drawing View|Drawing View]] tool cannot handle.


[[Image:Draft drawing example.jpg|640px]]
[[Image:Draft drawing example.jpg|640px]]
{{Caption|Draft object and dimensions imported into a Drawing page}}


<div class="mw-translate-fuzzy">
==Použití==
==Použití==
</div>


<div class="mw-translate-fuzzy">
# Vyberte objekty, které chcete umístit na výkres
# Vyberte objekty, které chcete umístit na výkres
# Stiskněte tlačítko {{KEY|[[Image:Draft Drawing.png|16px]] [[Draft Drawing|Výkres]]}}
# Stiskněte tlačítko {{KEY|[[Image:Draft Drawing.png|16px]] [[Draft Drawing/cs|Výkres]]}}
</div>

==Notes==
* The tool will work best with 2D objects from the [[Draft Workbench|Draft Workbench]] or [[Sketcher Workbench|Sketcher Workbench]].
* The selected object can also be an [[Arch SectionPlane|Arch SectionPlane]], which will show the elements viewed by that plane.
* If there is no existing page, a new one will be created.
* If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
* If you select a sheet and the objects already projected on that sheet, the projections will be updated.


==Volby==
==Volby==


<div class="mw-translate-fuzzy">
* Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the [[Draft Module|Draft]] or [[Sketcher Workbench|Sketcher]] modules.
* Vyberete objekt, který chcete umístit na výkres. Nástroj bude nejlépe pracovat s plochými 2D objekty z modulů [[Draft Module/cs|Kreslení]] nebo [[Sketcher Workbench/cs|Skicář]].
* If the selected object is an [[Arch SectionPlane]], this tool will create an additional view of that section plane.
* Je-li vybraný objekt [[Arch SectionPlane/cs|Architektura Rovina řezu]], vytvoří tento nástroj další pohled této roviny řezu.
* In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
* Ve stejném výběru přidejte objekt stránky, na který chcete vybraný objekt vykreslit. Jestliže stránka neexistuje, bude nově vytvořena. Jestliže jste stránku nevybrali, ale alespoň jedna už v dokumentu je, bude první nalezená použita pro vykreslení.
* If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.
* Jestliže jste vybrali existující stránku a objekty, které už ve stránce jsou (např. objekt "Obdélník" již zde je jako objekt "PohledObdélník"), budou nahrazeny. To Vám umožňuje jednoduše vybrat všechny objekty a poslat je na existující stránku, čímž budou na stránce aktualizovány i již dříve vložené objekty.
</div>


==Properties==
==Vlastnosti==


<div class="mw-translate-fuzzy">
* {{PropertyData|Fill Style}}: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
* {{PropertyData|Fill Style}}: Pro uzavřené tvary umožňuje specifikovat jeden z defaultních stylů pro zaplňování výkresů nebo použití barev tvaru.
* {{PropertyData|Font Size}}: Allows you to specify the font size of texts and dimensions.
* {{PropertyData|Line Width}}: Allows you to specify the line width of viewed objects.
* {{PropertyData|Font Size}}: Umožňuje specifikovat velikost fontu pro texty a kóty.
* {{PropertyData|Line Width}}: Umožňuje specifikovat tloušťku čar zobrazených objektů.
</div>


<div class="mw-translate-fuzzy">
==Scripting==
==Skriptování==
</div>


<div class="mw-translate-fuzzy">
The Draft Drawing tool can by used in [[macros]] and from the python console by using the following function:
Nástroj Výkres může být použit v [[macros/cs|makrech]] a z konzoly Pythonu použitím následující funkce:
</div>


{{Code|code=
<syntaxhighlight>
DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
makeDrawingView (object,page)
}}
</syntaxhighlight>


<div class="mw-translate-fuzzy">
* Adds a view of the given object to the given page.
* Přidá pohled daného objektu na danou stránku.
* Returns the created view object.
* Vrací vytvořený objekt pohledu.
</div>


The attributes of the view usually need to be modified so that it is displayed correctly in the drawing page. In particular, the position is controlled by {{incode|X}} and {{incode|Y}}, which are given in millimeters, and {{incode|Scale}} is important to correctly fit the projected shape in the page. The scale usually ranges from 1 to 0.25 (1:1 to 1:4) for small solids, and from 0.02 to 0.01 (1:50 to 1:100) for typical architectural elements.
Example:


Příklad:
<syntaxhighlight>
import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page)
</syntaxhighlight>


{{Code|code=
<languages/>
import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
}}

{{Docnav
|[[Draft_Clone|Clone]]
|[[Draft_Mirror|Mirror]]
|[[Draft_Module|Draft]]
|IconL=Draft_Clone.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Mirror.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 05:00, 21 February 2020


Development of the Drawing Workbench stopped in FreeCAD 0.16; the new TechDraw Workbench aiming to replace it was introduced in v0.17. Both workbenches are still provided in v0.17, but the Drawing Workbench may be removed in future releases.

Draft Drawing

Umístění Menu
Drafting → Drawing
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Nikdo

Popis

Tento nástroj umožňuje umístit vybrané objekty na svg Výkresy. Jestliže v dokumentu není žádná šablona, bude použita defaultní.

This tool works similarly to the Drawing View tool but is optimized for Draft Workbench objects, and can render 2D objects with a face filling. It can handle specific objects such as Draft Dimension and Draft Text, that the Drawing View tool cannot handle.

Draft object and dimensions imported into a Drawing page

Použití

  1. Vyberte objekty, které chcete umístit na výkres
  2. Stiskněte tlačítko Výkres

Notes

  • The tool will work best with 2D objects from the Draft Workbench or Sketcher Workbench.
  • The selected object can also be an Arch SectionPlane, which will show the elements viewed by that plane.
  • If there is no existing page, a new one will be created.
  • If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
  • If you select a sheet and the objects already projected on that sheet, the projections will be updated.

Volby

  • Vyberete objekt, který chcete umístit na výkres. Nástroj bude nejlépe pracovat s plochými 2D objekty z modulů Kreslení nebo Skicář.
  • Je-li vybraný objekt Architektura Rovina řezu, vytvoří tento nástroj další pohled této roviny řezu.
  • Ve stejném výběru přidejte objekt stránky, na který chcete vybraný objekt vykreslit. Jestliže stránka neexistuje, bude nově vytvořena. Jestliže jste stránku nevybrali, ale alespoň jedna už v dokumentu je, bude první nalezená použita pro vykreslení.
  • Jestliže jste vybrali existující stránku a objekty, které už ve stránce jsou (např. objekt "Obdélník" již zde je jako objekt "PohledObdélník"), budou nahrazeny. To Vám umožňuje jednoduše vybrat všechny objekty a poslat je na existující stránku, čímž budou na stránce aktualizovány i již dříve vložené objekty.

Vlastnosti

  • ÚdajeFill Style: Pro uzavřené tvary umožňuje specifikovat jeden z defaultních stylů pro zaplňování výkresů nebo použití barev tvaru.
  • ÚdajeFont Size: Umožňuje specifikovat velikost fontu pro texty a kóty.
  • ÚdajeLine Width: Umožňuje specifikovat tloušťku čar zobrazených objektů.

Skriptování

Nástroj Výkres může být použit v makrech a z konzoly Pythonu použitím následující funkce:

DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
  • Přidá pohled daného objektu na danou stránku.
  • Vrací vytvořený objekt pohledu.

The attributes of the view usually need to be modified so that it is displayed correctly in the drawing page. In particular, the position is controlled by X and Y, which are given in millimeters, and Scale is important to correctly fit the projected shape in the page. The scale usually ranges from 1 to 0.25 (1:1 to 1:4) for small solids, and from 0.02 to 0.01 (1:50 to 1:100) for typical architectural elements.

Příklad:

import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()